Subject: bug#16574: 24.3.50; icon not shown on the splash screen (mac osx)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jan 2014 17:50:47 +0200

> Date: Tue, 28 Jan 2014 12:54:46 +0800
> From: Darren Hoo <[email-masked]>
> Cc: [email-masked]
> 
> > I don't think this is a bug, and AFAIK it has been like this for some time.
> > The image is not shown if the frame seems to be too small.
> > See use-fancy-splash-screens-p.
> >
> 
> OK, I see.
> Though use-fancy-splash-screens-p is not strictly correct on this.
> If  I force it to use splash screen:
> 
> (defun use-fancy-splash-screens-p () t)
> 
> And examine these values of the splash screen on the initial startup
> frame:
> 
> (window-pixel-height)
>  => 476
> 
> (cdr (window-text-pixel-size
>       (selected-window) nil nil nil nil t)) ; include mode-line
>  => 462
> 
> it has plenty room for display.

How do you deduce that this is enough?  splash.xpm needs 217 pixels on
my system, and use-fancy-splash-screens-p reserves 19 more lines for
text, which on my system need 19 x 16 = 304 more pixels.  The sum is
greater than either 462 or 476, so it sounds to me like
use-fancy-splash-screens-p is right.  (On my system, the window is 528
pixel high, which is indeed greater than 217 + 304.)